<template lang="pug">
.socials-wrap
  ul.social(
    v-if="menus && menus.SOCIALS_MENU && menus.SOCIALS_MENU.items.length"
    :class="classes"
  )
    li(
      v-for="item in menus.SOCIALS_MENU.items"
      :key="item.id"
    )
      a.social__link(
        v-if="item.url.indexOf('http') === 0"
        :class="'icon-' + item.class_name"
        :href="item.url"
        target="_blank"
        rel="nofollow"
      )
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  name: 'Socials',

  computed: {
    ...mapGetters({
      menus: 'vars/menus'
    })
  },

  props: {
    classes: {
      type: [Object, String, null],
      default: null,
      required: false
    }
  }
}
</script>
